Community Forums

ATutor Modules

Don't know how to do import/ export


You must be signed-in to post.

AuthorSubject
 
Page: 1
DistillingATutor
TestDemoIsotopes.zip
Subject: Don't know how to do import/ exportQuote this post in your reply
I still don't have all this information below, but I am running a ATutor in a linux platform. I am new to ATutor and was required to verify how to export an entire course and then import it, to much sure the export feature worked. I exported the attached file but didn't manage to run it after import. All it does when I click in the link for the course is to try to download the file.

Could you please take a look on the file to see if I am missing anything? How should be the approach to export and import an entire course and also to create a new one.

Thanks.

Regards.
-------------
If you are asking for help, provide lots of detail so problems can be reproduced.

Things to describe:
Operating system ATutor is installed on -
ATutor version -
Patch #s applied -
ATutor theme name -
PHP version -
MySQL version -
Webserver & version -
Copies of error messages -
Changes to default settings -
Web browser being used -
...and anything else relevant -
Posted: 2013-07-15 05:39:06
DistillingATutor
Isotope.7z
Subject: Re: Don't know how to do import/ exportQuote this post in your reply
sorry, this is the correct file.
Posted: 2013-07-15 06:06:50
DistillingATutor
Subject: Re: Don't know how to do import/ exportQuote this post in your reply
..and these are the installation details:

If you are asking for help, provide lots of detail so problems can be reproduced.

Things to describe:
Operating system ATutor is installed on - SUSE Linux Enterprise Server SP2 3.0.74-0.6.8-default
ATutor version - 1.6.3
Patch #s applied -
ATutor theme name -
PHP version - php5
MySQL version - 5.6.12
Webserver & version -
Copies of error messages -
Changes to default settings -
Web browser being used -
...and anything else relevant -
Posted: 2013-07-15 07:46:08
greg

Avatar for greg
Subject: Re: Don't know how to do import/ exportQuote this post in your reply
First, you are using a very old version of ATutor, which may not work correctly with current version of PHP. You should upgrade. This version is no longer supported.

You can either export a course as a course backup (Manage>Backups) then import that backup into another course. Or, you can export the content of a course as a content package or common cartridge (Manage>Content>Import/Export).

Also be careful when creating content in ATutor that has been cut and pasted from a word processor(MS Word more specifically). This will tend to break content, inserting foreign characters that break zip files.

Not sure where you got the .7z file from. It did not come from ATutor.
Posted: 2013-07-15 09:50:55
DistillingATutor
Subject: Re: Don't know how to do import/ exportQuote this post in your reply
Thanks for the answer Greg. You are right, I unzipped a course from ATutor and accidentally generated a 7z file. But I am always using zip files in order to export or import while doing my tests.

At this point, I already identified the zip files generated are correct. I used this site in order to check it:
https://cloud.scorm.com

I was also able to create a course using the zip file from the backup, which proves it is working, even with this unsupported version.

Now, I need to import the zip file into a SharePoint application which accepts other SCORM file but ATutors' ones. When trying to execute the file, it only open to download the zip. Have you ever been through similar situation? Thanks.
Posted: 2013-07-15 10:01:07
greg

Avatar for greg
Subject: Re: Don't know how to do import/ exportQuote this post in your reply
ATutor only generates SCORM 2.1 content packages. You need to do this via Manage>Content>Import/Export and choose "content package" as the export format.

I'm not sure how Sharepoint handles SCORM packages, so can't help much there.
Posted: 2013-07-15 10:11:17
DistillingATutor
Subject: Re: Don't know how to do import/ exportQuote this post in your reply
Thanks for this answer. By the way, I think you want to say SCORM 1.2.
Posted: 2013-07-31 10:34:26
 
Page: 1

You must be signed-in to post.

Related Articles